/********************************************************************
  *
  *  program     : Vocable.java
  *  author      : Niels-Peter de Witt
  *  version     : 2000-12-14(001)
  *  (c)         : Niels-Peter de Witt
  *  email       : ndewitt@gmx.de
  *  description : Class that holds information of a vocable
  *
  *******************************************************************
  * modifications:
  * date: ******* who: ****** description: **************************
  * -----------------------------------------------------------------
  * 2000-10-19    heljanic    your description here
  * -----------------------------------------------------------------
  *******************************************************************
  * comments:
  *******************************************************************
  * license:
********************************************************************/

package de.janicke.hj.tools.servlet;

/** Class that holds the information of a vocable. Information can be
  * retrieved out of a Database using the VocAdmin class
  * in this package.
  */

public class Vocable {

  /** The recordId in the database. */
  private int vocId = -1;

  /** The translation of vocable2. */
  private String vocable1 = "";

  /** The translation of vocable1. */
  private String vocable2 = "";

  /** The used languageId in the database of the language of vocable1. */
  private int languageId1 = 0;

  /** The used languageId in the database of the language of vocable2. */
  private int languageId2 = 0;

  /** The date of the adding or updateing of this Object. */
  private String date = "";

  /** The state of knowing the vocable represented as an int */
  private int state = 100;

  /** The UnitId of the Vocable */
  private int unitId = 0;

//------------------------------------------------------ Constructors

  public Vocable() {

  }


//-------------------------------------------------- Accessor methods

/** Sets the vocId.
  * @param vocId The new VocId.
  */
  void setVocId(int vocId) {
    this.vocId = vocId;
  }

/** Returns the VocId.
  * @return The VocId.
  */
  public int getVocId() {
    return this.vocId;
  }

/** Sets the vocId.
  * @param vocId The new VocId.
  */
  void setUnitId(int unitId) {
    this.unitId = unitId;
  }

/** Returns the VocId.
  * @return The VocId.
  */
  public int getUnitId() {
    return this.unitId;
  }

/** Sets the vocable1
  *@param vocable1 The new vocable1
  */
  public void setVocable1(String vocable1) {
    this.vocable1 = vocable1;
  }

/** Returns the vocable1.
  * @return The vocable1.
  */
  public String getVocable1() {
    return this.vocable1;
  }

/** Sets the vocable2
  *@param vocable2 The new vocable2
  */
  public void setVocable2(String vocable2) {
    this.vocable2 = vocable2;
  }

/** Returns the vocable2.
  * @return The vocable2.
  */
  public String getVocable2() {
    return this.vocable2;
  }

/** Sets the languageId1
  *@param languageId1 The new languageId1
  */
  public void setLanguageId1(int languageId1) {
    this.languageId1 = languageId1;
  }

/** Returns the languageId1.
  * @return The languageId1.
  */
  public int getLanguageId1() {
    return this.languageId1;
  }

/** Sets the languageId2
  *@param languageId2 The new languageId2
  */
  public void setLanguageId2(int languageId2) {
    this.languageId2 = languageId2;
  }

/** Returns the languageId2.
  * @return The languageId2.
  */
  public int getLanguageId2() {
    return this.languageId2;
  }

/** Sets the creation/update date
  *@param date The new date.
  */
  public void setDate(String date) {
    this.date = date;
  }

/** Returns the creation/update date.
  * @return The creation/update date.
  */
  public String getDate() {
    return this.date;
  }

/** Sets the state.
  *@param state The new state.
  */
  public void setState(int state) {
    this.state = state;
  }

/** Returns the state.
  * @return The state.
  */
  public int getState() {
    return this.state;
  }

}